unit uIntfs;

interface

uses Classes;

type
  IPortfolio = interface
    function GetAuthors : TStringList; stdcall;
    function GetBooks(const sName : String) : TStringList; stdcall;
  end;

  IAuthor = interface
    function GetCategories : TStringList; stdcall;
  end;

  ICategory = interface
    function GetBooks : TStringList; stdcall;
    procedure CreateBook(const sName : String; const iPrice : Integer);
  end;

implementation

end.
